@version 2.0
@warnings
@script modeler
// written by faulknermano

main
{
	dir = getdir("Content");
	selObj = getfile("Select Object/Directory","*.lwo",dir);
	return if(selObj == nil);

	reqbegin("Batch LWO Transform");

	c0 = ctlvector("Move Offset",0.0);
	c1 = ctlnumber("Rotate Degrees",0.0);
	c2 = ctlvector("Rotate Center",0.0);
	c22 = ctlchoice("Rotate Axis",2,@"X","Y","Z"@);
	c3 = ctlvector("Scale Factor",1.0);
	c4 = ctlvector("Scale Center",0.0);
	c5 = ctlchoice("",2,@"Save","No Save"@);

	return if(!reqpost());

	oMove = getvalue(c0);
	oRot = getvalue(c1);
	oRotCtr = getvalue(c2);
	oRotAxis = getvalue(c22);
	oScale = getvalue(c3);
	oScaleCtr = getvalue(c4);
	savenow = getvalue(c5);

	reqend();

	(f1,f2,f3,f4) = split(selObj);
	pathName = string(f1,f2);

	files = matchfiles(pathName,"*.lwo");

	fn = size(files);
	info(savenow);
	for(i=1;i<fn;++i)
	{
		finalName = string(pathName,files[i]);
		load(finalName);
		move(oMove);
		rotate(oRot,oRotAxis,oRotCtr);
		scale(oScale,oScaleCtr);
		save(finalName) if(savenow == 1);
	}
}
